summaryrefslogtreecommitdiff
path: root/dev-python/xmlschema/xmlschema-1.2.2.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/xmlschema/xmlschema-1.2.2.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/xmlschema/xmlschema-1.2.2.ebuild')
-rw-r--r--dev-python/xmlschema/xmlschema-1.2.2.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/xmlschema/xmlschema-1.2.2.ebuild b/dev-python/xmlschema/xmlschema-1.2.2.ebuild
new file mode 100644
index 000000000000..e6e1d1a243d4
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-1.2.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="https://github.com/sissaschool/xmlschema https://pypi.org/project/xmlschema/"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ =dev-python/elementpath-1.4*[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ test? (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )"
+
+src_prepare() {
+ # https://github.com/sissaschool/xmlschema/issues/197
+ sed -i -e 's:test_schema_resource_access:_&:' \
+ tests/test_resources.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v ||
+ die "Tests fail with ${EPYTHON}"
+}